Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.facade
Class FacadeTaskHelper

    java.lang.Object
      org.apache.tools.ant.util.facade.FacadeTaskHelper

public class FacadeTaskHelper
extends java.lang.Object

Helper class for facade implementations - encapsulates treatment of explicit implementation choices, magic properties and implementation specific command line arguments.

Since:
  Ant 1.5
Version:
  $Revision: 1.2.2.2 $
Author:
  Stefan Bodewig

Constructor Summary
`FacadeTaskHelper(java.lang.String defaultValue)`
`FacadeTaskHelper(java.lang.String defaultValue, java.lang.String magicValue)`

Method Summary
`void` | `addImplementationArgument(ImplementationSpecificArgument arg)` Command line argument.
`java.lang.String[]` | `getArgs()` Retrieves the command line arguments enabled for the current facade implementation.
`java.lang.String` | `getExplicitChoice()` Retrieves the explicit user choice
`java.lang.String` | `getImplementation()` Retrieves the implementation.
`boolean` | `hasBeenSet()` Tests whether the implementation has been chosen by the user (either via a magic property or explicitly.
`void` | `setImplementation(java.lang.String userChoice)` Used for explicit user choices.
`void` | `setMagicValue(java.lang.String magicValue)` Used to set the value of the magic property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacadeTaskHelper

    public FacadeTaskHelper(java.lang.String defaultValue)

Parameters:
  `defaultValue` - The default value for the implementation. Must not be null.

### FacadeTaskHelper

    public FacadeTaskHelper(java.lang.String defaultValue,
                            java.lang.String magicValue)

Parameters:
  `defaultValue` - The default value for the implementation. Must not be null.

Method Detail

### setMagicValue

    public void setMagicValue(java.lang.String magicValue)

  Used to set the value of the magic property.

### setImplementation

    public void setImplementation(java.lang.String userChoice)

  Used for explicit user choices.

### getImplementation

    public java.lang.String getImplementation()

  Retrieves the implementation.

### getExplicitChoice

    public java.lang.String getExplicitChoice()

  Retrieves the explicit user choice

### addImplementationArgument

    public void addImplementationArgument(ImplementationSpecificArgument arg)

  Command line argument.

### getArgs

    public java.lang.String[] getArgs()

  Retrieves the command line arguments enabled for the current facade implementation.

### hasBeenSet

    public boolean hasBeenSet()

  Tests whether the implementation has been chosen by the user (either via a magic property or explicitly.

  Since:
    Ant 1.5.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.